<!DOCTYPE html>
<html>
    <head>
        <title>Speidel Recipe Upload</title>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes">
        <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
        <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
        <script src="https://unpkg.com/vue@2.5"></script>
        <script src="data/speidellib.js"></script>
        <script src="data/brewersfriend.js"></script>
        <script src="data/brewersfriend_data.js"></script>

        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">

        <link rel="stylesheet" href="https://code.jquery.com/ui/1.12.1/themes/smoothness/jquery-ui.css">
        <link href="data/speidel.css" rel="stylesheet" type="text/css">
        <script src="data/brauhaus.min.js"></script>
        <!-- <script src="brauhaus-beerxml.min.js"></script> -->
        <script src="data/import.js"></script>
        <script src="data/globals.js"></script>
        <script src="data/import.js"></script>
    </head>
    <body>
        <div id="speidel_app" class="container">
            <h1>Speidel Recipe Upload</h1>
            <div class="row">
                <div class="form" id="speideladdr_form">
                    <div class="form-group col-md-3">
                        <label for="speidel">
                            DNS-name/IP of Speidel
                        </label>
                        <input
                            v-on:change="loadRecipes"
                            v-model="speidel"
                            type="text"
                            length="12"
                            class="form-control"
                            placeholder="Name/IP" id="speideladdr">
                        <small id="speidelHelp" class="form-text text-muted">
                            Make sure your Speidel is online.
                        </small>
                    </div>
                    <div v-if="bfrecipes" id="bfname_row" class="col-md-6 row">
                        <label for="bfname">
                            Search in {{ num_bfrecipes }} recipes

                        </label>
                        <label for="checkbox"> <small>(include snapshot recipes?)</small></label>

                        <input type="checkbox" v-on:click.stop="populateRecipesfield" v-model="include_snapshots">
                        <input class="form-control" v-bind:disabled="num_bfrecipes == 0" id="bfname" name="bfname">

                    </div>
                </div>
            </div>


            <div class="row col-md-12 recipe"
                 v-on:dragover="$event.preventDefault()"
                 v-on:dragenter="console.log('hovering')"
                 v-on:drop="edit_area_drop_handler($event)">

                <div class="drop_zone">
                    <p v-on:click.stop="show_manual_form = ! show_manual_form">Recipe data (drop BeerXML data here)
                        <span v-if="! show_manual_form"
                              title="Show manual form"
                              class="glyphicon glyphicon-chevron-down">
                        </span>
                        <span v-else
                              title="Hide manual form"
                              class="glyphicon glyphicon-chevron-up">
                        </span>
                    </p>
                    <div class="recipe" v-if="show_manual_form">
                        <div class="row">
                            <div class="col-md-6">
                                <label for="recipe_name">
                                    Recipe name
                                </label>
                                <input type="text" v-model="recipe_name">
                            </div>
                        </div>
                        <div class="row">
			    <div class="col-md-3">
			        <label for="grain_temp">
				    Grain-Temp
			        </label>
			        <input class="mashstep" type="number" v-model="grain_temp"> °C</td>
                            </div>
			    <div class="col-md-3">
			        <label for="boil_temp">
				    Boil-Temp
			        </label>
                	        <input class="mashstep" type="number" v-model="boil_temp"> °C</td>
                            </div>
                            <div class="col-md-3">
                                <label for="boil_time">
                                    Boil time
                                </label>
                                <input class="mashstep" type="number" v-model="boil_time"> minutes</td>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-5">
                                <table>
                                    <th colspan="5">Mash steps</th>
                                    <tr>
                                        <td>Temp</td>
                                        <template v-for="(item,index) in mash_temps">
                                            <td><input class="mashstep" type="number" v-model="mash_temps[index]"></td>
                                        </template>
                                    </tr>
                                    <tr>
                                        <td>Minutes</td>
                                        <template v-for="(item,index) in mash_times">
                                            <td><input class="mashstep" type="number" v-model="mash_times[index]"></td>
                                        </template>
                                    </tr>
                                </table>
                            </div>

                            <div class="col-md-7">
                                <table>
                                    <th colspan="5">Hop/spice times</th>
                                    <tr>
                                        <td>Minutes</td>
                                        <template v-for="(item,index) in hop_times">
                                            <td><input class="mashstep" type="number" v-model="hop_times[index]"></td>
                                        </template>
                                    </tr>
                                </table>
                            </div>

                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <small class="form-text text-muted">
                                    Speidel Recipe:
                                    <span>{{ recipe_string }}</span>
                                </small>
                                <button class="btn btn-success"  v-bind:style="{visibility: speidelvisible}" v-on:click.stop="uploadFormRecipe">Upload recipe data to Speidel</button>
                            </div>
                        </div>


                    </div>
                </div>
            </div>
            <transition name="fade">
                <div style="width: 500px; height: 300px;" v-if="loading_speidel" class="loading alert alert-info">
                    <span>Loading data from {{speidel}}...</span>
                </div>
            </transition>
            <div class="row">
                <div v-bind:style="{visibility: speidelvisible}" id="myspeidel" class ="col-md-4">
                    <strong>Drag a BeerXML-file from your computer to the area below ...</strong>
                    <div id="drop_zone" class="drop_zone"
                         v-on:dragover="$event.preventDefault()"
                         v-on:drop="drop_handler($event)"
                         v-bind:style="{visibility: speidelvisible}">
                        <button class="btn btn-success" v-on:click.stop="loadRecipes">Refresh recipes list</button>
                        <ol id="recipelist">
                            <li v-for="recipe in recipes">
                                <span v-bind:id="recipe.nr"
                                      v-on:click="speidelRecipeSelected($event)"
                                      class="recipename">{{ recipe.name }}
                                </span>
                                <span title="Remove recipe"
                                      v-bind:id="recipe.nr"
                                      v-on:click="removeRecipe($event)"
                                      class="remove glyphicon glyphicon-remove">
                                </span>
                            </li>
                        </ol>
                        <a :href="'http://control-1-1-26.myspeidel.com/?i='+ speidel">myspeidel.com</a>
                        <a :href="'http://vesterheim.no/speidel-control/speidel-control.html?speidel='+ speidel">(improved version)</a>

                        <div id="upload_status"></div>
                    </div>
                </div>
                <div class="col-md-6">
                    <p v-on:click.stop="show_reminders = ! show_reminders">Calendar reminders
                        <span v-if="! show_reminders"
                              title="Show Reminders"
                              class="glyphicon glyphicon-chevron-down">
                        </span>
                        <span v-else
                              title="Hide reminders"
                              class="glyphicon glyphicon-chevron-up">
                        </span>

                    </p>

                    <div v-if="show_reminders">
                        Dry hop days
                        <template v-for="(item,index) in hop_days">
                            <input class="mashstep" type="number" v-model="hop_days[index]">
                        </template>
                        <div>
                            Fermentation days <input class="mashstep" type="number" v-model="fermentation_days">
                        </div>
                        <div>
                            <button class="btn btn-success" @click="submit_ical" name="ical_button" id="ical_button">
                                Get calendar data (ICal)</button>
                        </div>

                    </div>

                    <!-- <a href="http://www.google.com/calendar/event?action=TEMPLATE&dates=20180821%2F20180822&text=Litmus%20Live%20London&location=etc.venues%20155%20Bishopsgate&details=Litmus%20Live%20helps%20you%20become%20a%20better%20email%20marketer%20with%20real-world%20advice%2C%20best%20practices%20%26%20practical%20takeaways." class="cta gmail-show">Save the date</a> -->

                </div>
            </div>
        </div>
    </body>
    <script src="data/api_key.js"></script>
    <script src="data/speidel2.js"></script>
</html>
